Gets a single shipment with detail
curl --request GET \
--url https://api.example.com/api/v1/Shipments/{shipmentId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Shipments/{shipmentId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Shipments/{shipmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": {
"shipmentId": "<string>",
"carrierCode": "<string>",
"carrierName": "<string>",
"carrierGroup": "<string>",
"trackingNumber": "<string>",
"trackingNumberUrl": "<string>",
"packageWeight": 123,
"deliveryStatusCode": "<string>",
"signedForBy": "<string>",
"deliveryDate": "2023-11-07T05:31:56Z",
"shipDate": "2023-11-07T05:31:56Z",
"returnDate": "2023-11-07T05:31:56Z",
"returnReason": "<string>",
"shipTo": {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"stateCode": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"deliveryStatusCode": "<string>",
"deliveryStatusName": "<string>",
"isResidentialAddress": true,
"deliveryAddressTypeCode": "<string>",
"deliveryAddressTypeName": "<string>"
},
"deliverTo": {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"stateCode": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"deliveryStatusCode": "<string>",
"deliveryStatusName": "<string>",
"isResidentialAddress": true,
"deliveryAddressTypeCode": "<string>",
"deliveryAddressTypeName": "<string>"
},
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
],
"lineItems": [
{
"shipmentId": "<string>",
"lineNumber": "<string>",
"componentNumber": 123,
"sku": "<string>",
"wineDirectSku": "<string>",
"description": "<string>",
"depletionDate": "2023-11-07T05:31:56Z",
"qtyShipped": 123,
"qtyOrdered": 123,
"qtyReturned": 123,
"qtyDamaged": 123,
"qtyMissing": 123,
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
]
}
]
}
}Gets a single shipment with detail
GET
/
api
/
v1
/
Shipments
/
{shipmentId}
Gets a single shipment with detail
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Path Parameters
Was this page helpful?
⌘I